﻿/*Main styling for content*/
html, body {
	background-color: #21314D;
	height: 100% !important;
	width: 100%;
    margin-top: 90px; /*For sticky navbar*/
}

/*Wrapping element*/
#content {
    width: 100% !important;
    padding: 0 !important;
    margin: 0 !important; 
    border: 0 !important; 
}

/* Wrapping element */
/* Set some basic padding to keep content from hitting the edges */
.body-content {
    background-color: #21314D;
    padding-left: 0px;
    padding-right: 0px;
    margin-left: auto;
    margin-right: auto;
    width: 100%;
    height: 100%;
    min-width: 100%;
    min-height: calc(100vh - 40px);
}

/* Make .svg files in the carousel display properly in older browsers */
.carousel-inner .item img[src$=".svg"] {
    width: 100%;
}

/* QR code generator */
#qrCode {
    margin: 15px;
}

/* Logo image styling */
.logo-image {
    max-width: 100%;
    max-height: 50px;
    margin: 20px;
    float: left;
}

/* Styling for tab links on navigation bar*/
.navbar-tab {
    font-family: Calibri;
    font-size: 20px;
    vertical-align: middle;
}

/* Styling for the carousel */
.carousel-inner {
    width: auto;
    max-height: 500px !important;
    max-width: 100% !important;
    padding-bottom: 0;
}

/* Styling for box that contains captions */
.carousel-caption {
    margin: 0px !important;
    background-color: rgba(146, 162, 189, .8);
    position: absolute !important;
    bottom: 0 !important;
    left: 0 !important;
    right: 0 !important;

}

/* Styling for carousel words */
.carousel-caption p {
    font-size: 1.5vw;
    text-shadow: 0 1px 2px rgba(0, 0, 0, .6);
    margin: 1%;
    padding-bottom: 10px;
}

/* Increase caption font size when screen size decreases */
@media screen and (max-width: 768px) {
    .carousel-caption p {
        font-size: 2.3vw;
    }
}

/* Styling for the carousel images */
.img-responsive {
    width: 100% !important;
    padding-bottom: 0 !important;
    max-height: 500px !important;
}

/* Styling for the pdf display */
.map {
    width: 500px;
    height: 500px;
}

/* Styling for table on Companies page */
table, th, td {
    border: 1px solid black;
    height: 50px !important;
    justify-content: center;
    table-layout: auto;
    background-color: transparent;
    margin-left: 1%;
    margin-right: 1%;
}

/*width of tables on companies, company and smartMap pages*/
table {
    min-width: 98% !important;
}

/*Width of one row on the companies table*/
th:nth-child(3).thirdCol {
    width: 15% !important;
}

/*Styling for the smartMap element as a whole*/
.smartTable {
    border: 1px solid black;
    margin-left: 1%;
    margin-right: 1%;
    margin: 10px;
    padding-bottom: 1%;
    background-color: transparent;
    justify-content: center;
    table-layout: fixed;
}

td.smartTableCol {
    min-height: 500px !important;
}

#selectedMapSaveButton #selectedMapRemoveButton {
    text-align: right;
}

/*Styling for the columns of the smartMap element*/
.smartTableCol {
    padding: 8px;
    color: black !important;
    display: table-cell;
}

/*Styling for the hallways of the smartMap*/
.smartHall {
    background-color: lightgray;
    border: none;
}

/*Styling for the booths of the smartMap*/
.smartBooth {
    background-color: lightgoldenrodyellow;
    border: none;
}

/*Styling for the upper portion of the booths of the smartMap*/
.smartUpper {
    border-bottom: none;
    background-color: lightgoldenrodyellow;
}

/*Styling for the lower portion of the booths of the smartMap*/
.smartLower {
    border-top: none;
    background-color: lightgoldenrodyellow;
}

/*Styling for the balcony cells on smartMap*/
.smartBalcony {
    border: none;
    background-color: #8b8d8e;
}

/*Styling for the wall cells on smartMap*/
.smartWall {
    border: none;
    background-color: #21314d;
}

/*Styling for the upper cell of company when it is saved for smartMap*/
.smartUpperSave {
    border-bottom: none;
    background-color: lightskyblue;
}

/*Styling for the lower cell of company when it is saved for smartMap*/
.smartLowerSave {
    border-top: none;
    background-color: lightskyblue;
}

/*Styling for the upper cell of company when it is selected for smartMap*/
.smartLowerSelect {
    border-top: none;
    background-color: greenyellow;
}

/*Styling for the upper cell of company when it is selected for smartMap*/
.smartUpperSelect {
    border-bottom: none;
    background-color: greenyellow;
}

/*Styling for the resume drop when it is selected for SmartMap*/
.smartResumeSelect {
    border: none;
    background-color: greenyellow;
}

/* Styling for the shape on the Company pages containing the booth number */
.square {
    float: right;
    padding: 10px;
    text-align: center;
    width: 100px;
    height: 100px;
    Background-color: black;
    color: white;
    border-radius: 10px;
	margin-top: 5px; 
}

/* Styling for the booth number square to remove float when screen shrinks */
@media (max-width: 768px) {
    .square {
        float: none;
    }
}

/* Design of company page table headers */
.table-header {
    background-color: #21314D;
    color: white;
    border: 2px solid black;
    text-align: center;
    padding-left: 2px;
    padding-right: 2px;
}

.companiesTable { 
    color: #D2492A;
}

/* Styling of the single Company pages*/
.company-page {
    background-color: white;
    padding-bottom: 2%;
    width: 100% !important
}

/* Styling of the name of the company at the top of the Company pages */
.company-name {
    font-weight: bold;
    text-decoration: underline;
}

#inDiggernet p{ 
    display: inline;
}

/* Styling of section headings in the page footer*/
.footer-headings {
    font-size: large;
    font-weight: bold; 
    color: #D2492A; 
}

/* Styling of each cell in a table */
th {
    text-align: center!important;
}

/* Styling of PDFs displaying recruiting and non-recruiting events */
.event {
    width: 500px;
    height: 500px;
}

/* Styling for the footer */
.footer-style {
    position: relative;
    color: white;
    background: url("../images/Misc/background.jpg") !important;
    background-color: black;
    background-size: cover !important;
    background-repeat: no-repeat !important;
    background-position: center;
    resize: both;
    width: 100%;
}

/*Coloration over the background image on the footer*/
.footer-layer {
    background-color: rgba(0,0,0, 0.7);
}

/* Styling for paragraph elements */
p {
    padding-left: 15px !important;
    padding-right: 15px !important;
}

/*Styles to pdf elements on the home page*/
.pdf {
    padding-left: 15px !important;
    padding-right: 15px !important;
}

/* Styling within row elements*/
.row { 
    width: 100% !important;
    border: 0 !important; 
    margin: 0 !important; 
}

/*Sizing for textbox elements*/
.textbox {
    width: 80%;
    height: 100px;
}

/*Used to center the contents of a div*/
.center { 
    text-align: center;  
}
 
/*Styes div into a blue div that stretches the page*/
.bar {
    color: white;
    background-color: #21314D !important;
    padding-bottom: 1.5%; 
}

/*Used in an empty div to create spacing on the page*/
.orange-bar {
    background-color: #D2492A !important;
    padding-bottom: 1.5%;
}

/*Styles text on the tips page header*/
.tips-headers {
    font-size: larger;
}

/* Color styling for tables with alternate-color rows*/
tr:nth-child(odd).alternate-color {
    background-color: #CED5DD !important;
}

/* Color styling for rows that alternate colors*/
div:nth-child(even).row.alternate-color {
    background-color: #CED5DD !important;
}

/* Color styling for rows that alternate colors*/
p:nth-child(odd).alternate-color {
    background-color: #CED5DD !important;
}

/* Text color for links in the footer */
.footer-link {
    color: #B2B4B3;
}

/* Class to create a white background */
.white-background { 
    background-color: white !important;
}

/* Controls parts of the nav bar, including color*/
.container {
    background-color: #21314D;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
    height: 100%;
}

/* Styling for rows */
.row {
    margin-right: -15px;
    margin-left: -15px;
    padding-bottom: 8px;
}

/* Styling for the nav bar*/
.navbar-collapse {
    float: right;
    padding-right: 15px;
    padding-left: 15px;
    overflow-x: visible;
    -webkit-overflow-scrolling: touch;
    border-top: 1px solid transparent;
    -webkit-box-shadow: inset 0 1px 0 rgba(255, 255, 255, .1);
    box-shadow: inset 0 1px 0 rgba(255, 255, 255, .1);
    margin-top: 15px;
}

/* Links in the footer change color when mouse hovers over them */
footer a:hover { 
    color: #D2492A !important; 
}

/* Styling for the header of the Home Page */
.page-header {
    width: 100%;
    background-color: #92A2BD;
    color: white;
    text-align: center !important; 
    margin-top: 0 !important; 
}

/* Styling for the accessibility disclaimer on the Home Page */
.accessibility {
    background-color: #92A2BD;
    text-align: justify;
    color: white
}

/* Styling for the description on Company pages */
.company-description {
    font-size: 30px;
    margin-top: 30px;
}

/*Controls the dropdown menu width*/
.dropdown {
    min-width: 190px;
}

/*Controls the dropdown menu of the maps width*/
.map-dropdown {
	/*width: 100px;*/
    max-width: 100px;
}

/*Changes the text of save button to black*/
.save { 
    color: black;
}

/* This is for overriding default parts of the navbar. VERY IMPORTANT. */
.navbar {
    margin: 0px !important;
    border-radius: 0 !important;
}

/* This is for the cookies disclaimer */
.navbar-fixed-bottom { 
    background-color: #D2492A !important; 
    color: white; 
}

/* This is for the bottom bar in the EditMaps page */
.editmap-bottom-bar {
    background-color: #21314D !important;
}

/*Controls the navbar elements*/
.navbar-inline {
    display: inline;
    float: right;
}

#addRow, #addCol { 
    color: black;
}

/*Wrapper element*/
div.container {
    position: fixed;
    top: 0px;
    height: 90px;
    z-index: 20;
}

/*Creates gap bellow the input text*/
.input-text {
     margin-bottom: 10px;
}

/*Styles the links on the navbar*/
.navbar-tab a {
    color: gray;
    position: static;
    float: right;
}

/*Styles the links on the navbar only when cursor is hovering over a value*/
.navbar-tab a:hover {
    color: white;
    background-color: transparent !important;
}

/*Controls the spacing of the links on the navbar*/
.navbar-nav a {
    float: right;
    margin-top: 17px;
}

/*Styling for the navbar button that appears when screen is small*/
.toggle-button {
    float: right;
    background-color: transparent;
    border: solid #333 1px;
    border-radius: 5px;
    margin-top: 15px;
    padding: 7px 10px;
    display: none;
}

/*Sytling for the navabar button bars that only appears on smaller screens*/
.icon-bar {
    height: 5px;
    background-color: white;
    display: block;
    width: 22px;
    height: 2px;
    border-radius: 1px;
    margin: 4px 0px;
}

/*Styling of the non link elements of the navbar elements*/
.navbar-tab {
    color: darkgrey;
    font-size: 20px;
    padding: 10px;
}

/*Creates hover effect while cursor is over elements*/
.navbar-tab:hover {
    text-decoration: none;
    color: white;
}

/*Display for the navbar id*/
#navBar {
    display: inline;
}

/*Prevents the nav-dropdown from displaying on large screen*/
.nav-dropdown { 
    display: none;
}

/*Controls the canvas object for the edit map page*/
#smartEditor { 
    border: none; 
    margin: auto;
    padding: 0; 
    display: block; 
    background-color: white;
}

/*This controls the instructions div on the SelectedMap page in the admin repo*/
#instructions { 
    display: none;
    margin-bottom: 30px; 
}

/*Controls display of information div on SelectedMap page in admin repo*/
#info_button { 
    display: inline-block !important;
    margin-bottom: 30px;
}

/*boothMaps div on SelectedMaps page is hidden when the selected map is a campus map*/
#boothMaps { 
    display: none;
}

/*smartMapImport div on SelectedMaps page is hidden when the selected map is a campus map*/
#smartMapImport {
    display: none;
}

/*div that controls if a map is a booth or campus map in the selected map page*/
#mapTypeSelector { 
    border: solid grey 1px;
    display: inline-block;
    padding: 5px;
}

/*highlights alternating cells on the adminMap page*/
div:nth-child(odd)#adminMapList {
    background-color:#CED5DD;
}

/*div containing all of the maps in a list on the adminMaps page*/
#adminMapList {
    display: block;
    padding: 1%;
    text-align: center;
}

/*styles the links of the maps on the adminMaps page*/
#adminMapLink {
    color: #D2492A;
}

/*Displays content differently when screen width is less than 950px*/
@media screen and (max-width: 950px) {
    /*Toggle button on navbar appears only on smaller screens*/
    .toggle-button {
        display: block;
    }
    
    /*Prevents normal navbar links from appearing in smaller screen*/
    .navbar-nav { 
        display: none; 
    }

    /*Navbar positioning changes for smaller screen*/
    .nav-dropdown {
       display: none;
       width: 150px;
       position: absolute;
       top: 60px;
       right: 10px;
    }

    /*Navbar links adapted style changes */
    .nav-dropdown a {
        text-align: right;
        width: 100%;
        margin: 0px;
        background-color: #21314D;
    }

    /*Navbar content adapted style changes*/
    .navbar-tab {
        text-align: right;
        float: right;
    }

    /*Navbar dropdown bellow toggle button*/
    nav.drop .nav-dropdown {
        display: block;
    }
}

/*Changes display for screen width smaller than 600px*/
@media screen and (max-width: 600px) {
   /*Makes the Mines logo appear smaller when the screen size is too small*/
    #logo-image {
        width: 200px;
        margin-top: 30px;
    }
}

/*Changes display for screen width smaller than 340px*/
@media screen and (max-width: 340px) {
    /*Makes the Mines logo appear smaller when the screen size is too small*/
    #logo-image {
        display: none;
    }
}